---
title: tooling::ConnectionAttemptEvent

---

# tooling::ConnectionAttemptEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ConnectionAttemptEvent](Classes/structtooling_1_1ConnectionAttemptEvent.md#function-connectionattemptevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & ourRouterId, const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & remoteId_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1ConnectionAttemptEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[remoteId](Classes/structtooling_1_1ConnectionAttemptEvent.md#variable-remoteid)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function ConnectionAttemptEvent

```cpp
inline ConnectionAttemptEvent(
    const llarp::RouterID & ourRouterId,
    const llarp::RouterID & remoteId_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable remoteId

```cpp
llarp::RouterID remoteId;
```


-------------------------------

Updated on 2022-10-26 at 17:18:02 +0000